Bug 9168 - Software error when filtering in receipt summary
Summary: Software error when filtering in receipt summary
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Fridolin SOMERS
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-29 15:38 UTC by Fridolin SOMERS
Modified: 2013-05-23 06:24 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (1.38 KB, patch)
2012-11-29 15:43 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Proposed patch (follow-up 1) (826 bytes, patch)
2012-11-29 15:44 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
[Signed off] Bug 9168: Software error when filtering in receipt summary (1.45 KB, patch)
2012-11-30 00:03 UTC, Melia Meggs
Details | Diff | Splinter Review
[Signed off] Bug 9168: Software error when filtering in receipt summary (followup) (912 bytes, patch)
2012-11-30 00:04 UTC, Melia Meggs
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9168: Software error when filtering in receipt summary (followup) (1.17 KB, patch)
2012-12-01 22:49 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 9168: Software error when filtering in receipt summary (1.43 KB, patch)
2012-12-01 22:50 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9168: Software error when filtering in receipt summary (followup) (1.17 KB, patch)
2012-12-01 22:50 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9168: Software error when filtering in receipt summary (1.50 KB, patch)
2012-12-01 22:52 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9168: Software error when filtering in receipt summary (followup) (1.17 KB, patch)
2012-12-01 22:52 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2012-11-29 15:38:17 UTC
In acquisition, on receipt summary page :
acqui/parcel.pl?inreceipt summaryvoiceid=X

When using left filters (ISBN, basket, ...), you get a software error :
Can't use an undefined value as an ARRAY reference at /home/koha/src/acqui/parcel.pl line 160.
Comment 1 Fridolin SOMERS 2012-11-29 15:43:16 UTC Comment hidden (obsolete)
Comment 2 Fridolin SOMERS 2012-11-29 15:44:34 UTC Comment hidden (obsolete)
Comment 3 Melia Meggs 2012-11-30 00:03:55 UTC Comment hidden (obsolete)
Comment 4 Melia Meggs 2012-11-30 00:04:04 UTC Comment hidden (obsolete)
Comment 5 Melia Meggs 2012-11-30 00:04:33 UTC
I tested this on master by using the filter on the left side of the receipt summary to search by author and got the software error that Fridolyn described.

After applying the patches, I am able to search by author, title, basket and order line without getting any software error, so I am signing off!
Comment 6 Katrin Fischer 2012-12-01 22:49:44 UTC Comment hidden (obsolete)
Comment 7 Katrin Fischer 2012-12-01 22:50:24 UTC Comment hidden (obsolete)
Comment 8 Katrin Fischer 2012-12-01 22:50:52 UTC Comment hidden (obsolete)
Comment 9 Katrin Fischer 2012-12-01 22:52:39 UTC
Created attachment 13812 [details] [review]
[SIGNED-OFF] Bug 9168: Software error when filtering in receipt summary

Signed-off-by: Melia Meggs <melia@test.bywatersolutions.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Comment 10 Katrin Fischer 2012-12-01 22:52:56 UTC
Created attachment 13813 [details] [review]
[SIGNED-OFF] Bug 9168: Software error when filtering in receipt summary (followup)

Signed-off-by: Melia Meggs <melia@test.bywatersolutions.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
All tests and perlcritic pass.

To test:
- Use filters on the 'order receive' page
  (don't confuse with invoices - filters are similar)
- Verify that without patch filters are not functional
- Verify that with patch applied filters work correctly
Comment 11 Jared Camins-Esakov 2012-12-02 14:06:36 UTC
This patch has been pushed to master.
Comment 12 Chris Cormack 2012-12-03 06:42:35 UTC
Pushed to 3.10.x, will be in 3.10.1